# Class RegisterDisputeAgentRequest

#### Hierarchy

- unknown
  - RegisterDisputeAgentRequest

- Defined in src/protobuf/grpc_pb.d.ts:600
- Defined in src/protobuf/grpc_pb.d.ts:615

#####
Index

### Constructors

constructor

### Methods

getDisputeAgentType
getRegistrationKey
serializeBinary
setDisputeAgentType
setRegistrationKey
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new RegisterDisputeAgentRequest(): RegisterDisputeAgentRequest

- #### Returns RegisterDisputeAgentRequest

  Inherited from jspb.Message.constructor

## Methods

### getDisputeAgentType

- getDisputeAgentType(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:601

### getRegistrationKey

- getRegistrationKey(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:604

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:607

### setDisputeAgentType

- setDisputeAgentType(value: string): RegisterDisputeAgentRequest

- #### Parameters

  - ##### value: string

  #### Returns RegisterDisputeAgentRequest

  - Defined in src/protobuf/grpc_pb.d.ts:602

### setRegistrationKey

- setRegistrationKey(value: string): RegisterDisputeAgentRequest

- #### Parameters

  - ##### value: string

  #### Returns RegisterDisputeAgentRequest

  - Defined in src/protobuf/grpc_pb.d.ts:605

### toObject

- toObject(includeInstance?: boolean): RegisterDisputeAgentRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns RegisterDisputeAgentRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:608

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): RegisterDisputeAgentRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns RegisterDisputeAgentRequest

  - Defined in src/protobuf/grpc_pb.d.ts:611

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: RegisterDisputeAgentRequest, reader: BinaryReader): RegisterDisputeAgentRequest

- #### Parameters

  - ##### message: RegisterDisputeAgentRequest

  - ##### reader: BinaryReader

  #### Returns RegisterDisputeAgentRequest

  - Defined in src/protobuf/grpc_pb.d.ts:612

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: RegisterDisputeAgentRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: RegisterDisputeAgentRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:610

### `Static` toObject

- toObject(includeInstance: boolean, msg: RegisterDisputeAgentRequest): RegisterDisputeAgentRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: RegisterDisputeAgentRequest

  #### Returns RegisterDisputeAgentRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:609

Generated using TypeDoc